Table of Contents

_________________________________________________________________

## NAME

Command - create and manipulate a Command widget.

## SYNOPSIS

Command pathName ?options?

## INHERITANCE

itk::Archetype <- itk::Widget <- iwidgets::Labeledwidget <- iwidgets::Scrolledwidget <- iwidgets::Scrolledtext <- Command

## STANDARD OPTIONS

  activebackground background borderwidth cursor disabledforeground exportselection foreground highlightcolor highlightthickness insertbackground insertborderwidth insertofftime insertontime insertwidth jump padx pady relief selectbackground selectborderwidth selectforeground setgrid

See the "options" manual entry for details on the standard options.

## ASSOCIATED OPTIONS

Options associated with the scrollbar widget:

  activerelief elementborderwidth troughcolor

Options associated with the text widget:

  spacing1 spacing2 spacing3 state wrap

## INHERITED OPTIONS

Options inherited from itk::Archetype:

  clientdata

Options inherited from iwidgets::Labeledwidget:

  labelbitmap labelfont labelimage labelmargin labelpos labeltext labelvariable state

Options inherited from iwidgets::Scrolledwidget:

  hscrollmode sbwidth scrollmargin vscrollmode

Options inherited from iwidgets::Scrolledtext:

  height textbackground textfont visibleitems width

## WIDGET-SPECIFIC OPTIONS

Name:
  edit_style

Class:
  Edit_style

Command-Line Switch:
  -edit_style

Specifies the command line edit style. The possible values are emacs and vi.

Name:
  prompt

Class:
  Prompt

Command-Line Switch:
  -prompt

Specifies the prompt string.

Name:
  cmd_prefix

Class:
  Cmd_prefix

Command-Line Switch:
  -cmd_prefix

Specifies the command prefix. If non-empty and the object specified by the cmd_prefix has a command that matches the first word of the command string, the cmd_prefix is prepended to the command and executed. Otherwise the command is executed as is.

Name:
  selection_color

Class:
  TextColor

Command-Line Switch:
  -selection_color

Specifies the selection color.

Name:
  prompt_color

Class:
  TextColor

Command-Line Switch:
  -prompt_color

Specifies the prompt color.

Name:
  cmd_color

Class:
  TextColor

Command-Line Switch:
  -cmd_color

Specifies the color of the current command.

Name:
  oldcmd_color

Class:
  TextColor

Command-Line Switch:
  -oldcmd_color

Specifies the color of old/previous commands.

Name:
  result_color

Class:
  TextColor

Command-Line Switch:
  -result_color

Specifies the result color.

## DESCRIPTION

The Command command creates a new window (given by the pathName argument) and makes it into a command window. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the command window widget. The Command command returns its pathName argument. At the time this command is invoked, there must not exist a window named pathName, but pathName's parent must exist.

## METHODS

The Comand command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the Command widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for Command widgets:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBBU's command history object:

  add curr history next prev

Methods associated with the Tk text widget:

  bbox compare debug delete dlineinfo get index insert mark scan search see tag window xview yview

### INHERITED METHODS

Methods inherited from Archetype:

  cget component configure

Methods inherited from iwidgets::Scrolledtext:

  childsite clear export import

### WIDGET-SPECIFIC METHODS

pathName edit_style [emacs | vi]
  Set/get the edit style.

pathName history
  Return the history list.

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- ASSOCIATED OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS